/* 
 * (c) Copyright IBM Corp. 2005, 2006. All Rights Reserved. 
 * Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement. 
 */
package importer;

import java.util.Properties;

import org.eclipse.jface.wizard.IWizardPage;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

import com.ibm.rational.test.mt.importer.interfaces.*;

public class ExampleImportConfigPage implements IMTAImportConfigPage
{
	// The viewable second page of the import wizard 
	ExampleConfigPage exampleConfigPage = new ExampleConfigPage( );
	
	/**
	 * Sets the wizard page where the controls created by this instance will
	 * be displayed. Users would need to cache this and set when the page is complete
	 * and finish button can be enabled on the wizard.
	 * @param page
	 */
	public void setWizardPage( IWizardPage page )
	{
		exampleConfigPage.setWizardPage( page );
	}
	
	/*
	 * Get Viewable Configuration page.
	 **/
	public Control createConfigPageControls( Composite parent )
	{
		exampleConfigPage.createControl( parent );
		return exampleConfigPage.getControl( );
	}

	/*
	 * Get the settings object for the pages in the wizard.
	 * This is passed to implementor during initialization.
	 * */
	public IMTAImportSourceConfigSettings getConfigSettings( )
	{
		IMTAImportSourceConfigSettings cfgSettings = new MTAImportSourceConfigSettings( );
		exampleConfigPage.addConfigProperties( cfgSettings );
		return cfgSettings;
	}
	
	public String getOutputFolderPath() {
		return exampleConfigPage.getOutputFolder();
	}

	public Properties getOptions() {
		return new Properties();
	}
}